@echo off
REM Checking Windows Architecture
echo Checking Windows OS architecture...

echo %PROCESSOR_ARCHITECTURE% | findstr /i ".86." > nul
IF %ERRORLEVEL% == 0 goto install_xta_for_ver_32
echo %PROCESSOR_ARCHITECTURE%  | findstr /i ".64." > nul
IF %ERRORLEVEL%== 0 goto install_xta_for_ver_64

REM If it comes here, then it means there is an error in finding the OS architecture
goto os_error_exit

REM if OS architecture is 32-Bit
:install_xta_for_ver_32
    echo 32-bit OS detected
    echo Installing application...
    msiexec.exe /i "XTA10_v10_4_0_Ins_via_Bat_1of2.xta" /norestart 
    if Not %ERRORLEVEL%==0 goto error_exit
    REM If it comes here, then the installation process is successful
    echo application installed successfully...
goto end

REM if OS architecture is 64-Bit
:install_xta_for_ver_64
    echo 64 bit detected
    echo Installing application...
    msiexec.exe /i "XTA10_v10_4_0_Ins_via_Bat_1of2.xta" /norestart
    if Not %ERRORLEVEL%==0 goto error_exit
    REM Second part of installation being done
    msiexec.exe /i "XTA10_v10_4_0_Ins_via_Bat_2of2.xta" /norestart /quiet
    if Not %ERRORLEVEL%==0 goto error_exit
    echo application installed successfully...
goto end

REM in case error during installation
:error_exit
    echo Error encountered during installation
    echo ERRORCODE - %ERRORLEVEL%
    echo Please try installing again. If the error persists, contact support team with the above error code
goto end

REM in case none of these found simply exit
:os_error_exit
    echo Windows OS bit could not be determined.
goto end

:end
    pause
exit 
